> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seraph.si/llms.txt
> Use this file to discover all available pages before exploring further.

# Cubelify Blacklist Information

> Fetches player blacklist information formatted for Cubelify integration. This endpoint supports both authenticated and public access.



## OpenAPI

````yaml https://api.seraph.si/json get /{uuid}/cubelify/blacklist
openapi: 3.1.0
info:
  contact:
    email: support@seraph.si
    name: API Support
    url: https://discord.gg/UzJjnZhe8f
  title: Seraph API
  version: '1.0'
servers:
  - url: api.seraph.si/
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /{uuid}/cubelify/blacklist:
    get:
      tags:
        - API
        - Blacklist
        - Cubelify
      summary: Cubelify Blacklist Information
      description: >-
        Fetches player blacklist information formatted for Cubelify integration.
        This endpoint supports both authenticated and public access.
      parameters:
        - description: Player UUID to fetch from path
          in: path
          name: uuid
          required: true
          schema:
            type: string
        - description: Player UUID to fetch from query (alternative to path)
          in: query
          name: id
          schema:
            type: string
        - description: Comma-separated list of sniper score factors to include
          in: query
          name: score
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/cubelify.CubelifyResponse'
          description: Successfully retrieved Cubelify blacklist information
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Invalid UUID provided
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Forbidden - Invalid or unauthorised API key
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Internal server error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    cubelify.CubelifyResponse:
      properties:
        error:
          type: string
        score:
          $ref: '#/components/schemas/cubelify.CubelifyScore'
        tags:
          items:
            $ref: '#/components/schemas/cubelify.CubelifyResponseTag'
          type: array
          uniqueItems: false
        timestamp:
          type: string
      type: object
    validation.ErrorResponse:
      properties:
        cause:
          type: string
        code:
          type: integer
        documentation:
          type: string
        extra:
          items:
            $ref: '#/components/schemas/validation.ErrorObject'
          type: array
          uniqueItems: false
        msTime:
          type: integer
        success:
          type: boolean
      type: object
    cubelify.CubelifyScore:
      properties:
        mode:
          type: string
        value:
          type: number
      type: object
    cubelify.CubelifyResponseTag:
      properties:
        alert:
          description: Seraph specific type for mod integration
          type: boolean
        color:
          type: integer
        icon:
          type: string
        tag_name:
          type: string
        text:
          type: string
        textColor:
          type: integer
        tooltip:
          type: string
      type: object
    validation.ErrorObject:
      properties:
        code:
          type: integer
        developer_reason:
          type: string
        name:
          type: string
        reason:
          type: string
      type: object

````